lucenenet-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [lucenenet] deanmarcussen commented on issue #286: Build warning since v4.8.0-beta00008
Date Sat, 25 Jul 2020 09:23:32 GMT

deanmarcussen commented on issue #286:
URL: https://github.com/apache/lucenenet/issues/286#issuecomment-663833490


   Our CI built `4.8.0-beta00011` fine as well.
   
   Think I figured it out.
   
   NuGet version weirdness / background dotnet / OmniSharp processes keeping the wrong dll
version in memory (what @iwillspeak  refers to essentially, about the analyzer staying loaded
in memory)
   
   With SDK `3.1.302`
   Went to build `4.8.0-beta00011` and it failed.
   Dropping back to every other version, since `4.8.0-beta00008` and it succeeded
   
   Dropped back to `3.1.106` and everything started failing except `4.8.0-beta00010`
   
   Cleared out the `NuGet` cache of all my `Lucene.Net` packages and went back to SDK `3.1.302`
and `4.8.0-beta00011` and it builds ok.
   
   Drop back to version `4.8.0-beta00010` and it builds.
   Then build `4.8.0-beta00011` and it fails.
   Delete the `4.8.0-beta00010` from the NuGet cache and version `4.8.0-beta00011` builds
fine.
   
   Do the above process again with a `killall dotnet` between version upgrades and it built
the new version fine.
   


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



Mime
View raw message